<app-candidate-nav></app-candidate-nav>

<p>TRENDS</p>
<div>
  <button mat-button [matMenuTriggerFor]="menu"><mat-icon>more_vert</mat-icon>{{option}}</button>
<mat-menu #menu="matMenu">
  <button mat-menu-item (click)="locationYearTrend()">Location and Year Trend</button>
  <button mat-menu-item (click)="locationTrend()">Location Trend</button>
  <button mat-menu-item (click)="skillTrend()">Skill Trend</button>
</mat-menu>
</div>
<div class="display" *ngIf="barChartLabels && locationBar">
  <div class="name">GRADS ON EACH LOCATION PER YEAR</div>
    <canvas baseChart 
      [datasets]="barChartData"
      [labels]="barChartLabels"
      [options]="barChartOptions"
      [plugins]="barChartPlugins"
      [legend]="barChartLegend"
      [chartType]="barChartType">
    </canvas>
  </div>

  <div class="display" *ngIf="pieData">
    <div class="name">GRADS ON EACH LOCATION</div>
    <canvas baseChart 
      [data]="pieChartData" 
      [labels]="pieChartLabels" 
      [chartType]="pieChartType"
      [options]="pieChartOptions"
      [plugins]="pieChartPlugins"
      [legend]="pieChartLegend">
    </canvas>
  </div>

  <div class="display" *ngIf="skillbarChartData && skillBar">
    <div class="name">GRADS WITH SKILLS</div>
    <canvas baseChart 
      [datasets]="skillbarChartData"
      [labels]="skillbarChartLabels"
      [options]="skillbarChartOptions"
      [plugins]="skillbarChartPlugins"
      [chartType]="skillbarChartType">
    </canvas>
  </div>
